Page MenuHomePhabricator

Convert Special:ListFiles to OOUI and improve UX
Closed, ResolvedPublic

Description

Uses HTMLForm already.

Requested user experience improvements:

  • "Go" button should be labelled "Search" further discussed in T194067
  • Button should be progressive

Improving pagination as asked for at T113436 is out of scope of this task and will be addressed in future as task on its own.

BeforeAfter

Details

Related Gerrit Patches:

Event Timeline

Florian created this task.Nov 4 2015, 5:35 PM
Florian raised the priority of this task from to Normal.
Florian updated the task description. (Show Details)
Florian added a project: UI-Standardization.
Aashaka claimed this task.Mar 12 2016, 10:15 AM

Change 276945 had a related patch set uploaded (by Aashaka):
Convert Special:ListFiles to OOUI

https://gerrit.wikimedia.org/r/276945

Hmm, I'm not really convinced currently:

before
after

There isn't much space left fpr the much more important list :/ It's probably the same problem as in T117724: Convert Special:AllPages to OOUI.

I see. So should I bring the label and the field in the same line, or is there something else which needs to be worked upon?

Volker_E renamed this task from Convert Special:ListFiles to OOUI to Convert Special:ListFiles to OOUI and improve UX.Jul 19 2016, 3:41 PM
Volker_E updated the task description. (Show Details)
Volker_E added a subscriber: Volker_E.

@Volker_E I'd be interested if we can find some way to merge this with MobileFrontend's Special:Uploads view (see T102139)

Volker_E updated the task description. (Show Details)Jul 19 2016, 5:02 PM
Volker_E updated the task description. (Show Details)Apr 22 2018, 2:33 AM

Wondering if we should rather change the button to “Show file list” over “Search”…?

Change 276945 merged by jenkins-bot:
[mediawiki/core@master] Special:ListFiles: Convert to use OOUI

https://gerrit.wikimedia.org/r/276945

To your comment, @Jdforrester-WMF

as with latest patch

With HorizontalLayout &RadioInputButtons of items per page:

Without legend (hidden & available only for screenreaders) and “Show file list” button:

Yeah, that's nice, but still a bit strong?

Volker_E closed this task as Resolved.May 7 2018, 5:38 PM
Volker_E removed a project: Patch-For-Review.
Volker_E updated the task description. (Show Details)

UX improvement ideas discussion to be continued in T194067.